<?php
/**
 * The main template file for display page.
 *
 * @package WordPress
*/

get_header(); 
?>

<br class="clear"/>

<div id="page_caption">
    <h1 class="cufon">
	    <?php
	    	if(!is_single())
	    	{
	    		echo __( 'Shop', THEMEDOMAIN );
	    	}
	    	else
	    	{
		    	echo get_the_title();
	    	}
	    ?>
    </h1>
</div>

<?php
	//Get Cart URL
	global $woocommerce;
	$cart_url = $woocommerce->cart->get_cart_url();
	$checkout_url = $woocommerce->cart->get_checkout_url();
?>
<ul class="shop_filter full"> 
    <li class="all-projects active">
        <a class="active" href="javascript:;"><?php _e( 'Shop', THEMEDOMAIN ); ?></a>
    </li>
    <li>
        <a href="<?php echo $cart_url; ?>"><?php _e( 'Shopping Cart', THEMEDOMAIN ); ?></a>
    </li>
    <li>
        <a href="<?php echo $checkout_url; ?>"><?php _e( 'Checkout', THEMEDOMAIN ); ?></a>
    </li> 
</ul>

<div id="page_content_wrapper">

    <div class="inner">
    
    <!-- Begin main content -->
    <div class="inner_wrapper">
        
    	<div class="sidebar_content full_width">
        	<?php woocommerce_content();  ?>
        </div>
    
    </div>
    <!-- End main content -->
</div>
<br class="clear"/><br/>
<?php get_footer(); ?>