<?php 
session_start();
header("Content-Type: text/css");
header("Last-Modified: ".gmdate('D, d M Y H:i:s', filemtime($_SERVER['DOCUMENT_ROOT'].$_SERVER['PHP_SELF']))." GMT");
header("Expires: ".gmdate('D, d M Y H:i:s', (filemtime($_SERVER['DOCUMENT_ROOT'].$_SERVER['PHP_SELF']) + 691200))." GMT");

$absolute_path = __FILE__;
$path_to_file = explode( 'wp-content', $absolute_path );
$path_to_wp = $path_to_file[0];
require_once( $path_to_wp.'/wp-load.php' );

$pp_advance_combine_css = get_option('pp_advance_combine_css');

if(!empty($pp_advance_combine_css))
{
	//Function for compressing the CSS as tightly as possible
	function compress($buffer) {
	    //Remove CSS comments
	    $buffer = preg_replace('!/\*[^*]*\*+([^/][^*]*\*+)*/!', '', $buffer);
	    //Remove tabs, spaces, newlines, etc.
	    $buffer = str_replace(array("\r\n", "\r", "\n", "\t", '  ', '    ', '    '), '', $buffer);
	    return $buffer;
	}

	//This GZIPs the CSS for transmission to the user
	//making file size smaller and transfer rate quicker
	ob_start("ob_gzhandler");
	ob_start("compress");
}
?>

<?php
$custom_skin_arr = array();

wp_reset_query();
global $wpdb;

$pp_skins_obj = array();

$wpdb->query("SELECT * FROM `".$wpdb->prefix."options` WHERE `option_name` = '".$_SESSION['pp_skin']."'");
$pp_skins_obj = $wpdb->last_result;
$skin_settings_arr = unserialize($pp_skins_obj[0]->option_value);

foreach($skin_settings_arr['settings'] as $key => $skin_setting)
{
    if(!empty($skin_setting))
    {
    	$custom_skin_arr[$key] = $skin_setting;
    }
}

?>

<?php
	//Check if hide portfolio navigation
	$pp_portfolio_single_nav = get_option('pp_portfolio_single_nav');
	if(empty($pp_portfolio_single_nav))
	{
?>
.portfolio_nav { display:none; }
<?php
	}
?>
<?php
	$pp_fixed_menu = get_option('pp_fixed_menu');
	
	if(!empty($pp_fixed_menu))
	{
?>
.top_bar.fixed
{
	position: fixed;
	animation-name: fadeIn;
	-webkit-animation-name: fadeIn;	
	animation-duration: 0.5s;	
	-webkit-animation-duration: 0.5s;
	visibility: visible !important;
}
<?php
}
?>

<?php
	//Hack animation CSS for Safari
	$current_browser = getBrowser();
	
	if(isset($current_browser['name']) && $current_browser['name'] != 'Internet Explorer')
	{
?>
@-webkit-keyframes fadeIn { from { opacity:0; } to { opacity:0.99; } }
@-moz-keyframes fadeIn { from { opacity:0; } to { opacity:0.99; } }
@keyframes fadeIn { from { opacity:0; } to { opacity:0.99; } }
 
.fade-in {
    animation-name: bigEntrance;
	-webkit-animation-name: bigEntrance;	

	animation-duration: 0.7s;	
	-webkit-animation-duration: 0.7s;

	animation-timing-function: ease-out;	
	-webkit-animation-timing-function: ease-out;	

	-webkit-animation-fill-mode:forwards; 
    -moz-animation-fill-mode:forwards;
    animation-fill-mode:forwards;
    
    visibility: visible !important;
}

<?php
	}
	else
	{
?>
	.fade-in, #supersized, #blog_grid_wrapper .post.type-post, #galleries_grid_wrapper .gallery.type-gallery, .one_half.portfolio2_wrapper, .one_third.portfolio3_wrapper, .one_fourth.portfolio4_wrapper, .mansory_thumbnail, #photo_wall_wrapper .wall_entry, #portfolio_filter_wrapper .element, .gallery_type, .portfolio_type, .one_fourth.gallery4 .mask .mask_circle, .one_half.gallery2 .mask .mask_circle, .one_third.gallery3 .mask .mask_circle, .one_fourth.gallery4 .mask .mask_circle, .post_img .mask .mask_circle, .mansory_thumbnail .mask .mask_circle, .wall_thumbnail .mask .mask_circle, .gallery_img { opacity: 1 !important; }
	.isotope-item { z-index: 2; }

	.isotope-hidden.isotope-item { pointer-events: none; display: none; z-index: 1; }
<?php
	}
?>

<?php
	if(isset($current_browser['name']) && $current_browser['name'] != 'Internet Explorer')
	{
		for($i=1;$i<=50;$i++)
		{
?>
.animated<?php echo $i; ?>
{
	-webkit-animation-delay: <?php echo $i/5; ?>s;
	-moz-animation-delay: <?php echo $i/5; ?>s;
	animation-delay: <?php echo $i/5; ?>s;
}
<?php
		}
	}
?>

<?php
	if(isset($current_browser['name']) && $current_browser['name'] == 'Internet Explorer')
	{
?>
.mobile_menu_wrapper
{
    display: none;
}
body.js_nav .mobile_menu_wrapper 
{
    display: block;
}
body.js_nav #wrapper, body.js_nav .footer_wrapper
{
	margin-left: 70%;
}
<?php
	}
?>

<?php
	$pp_h1_font_color = $custom_skin_arr['pp_h1_font_color'];
	
	if(!empty($pp_h1_font_color))
	{
?>
.post_header h2, h1, h2, h3, h4, h5, h6, h7, #page_caption h1, #page_content_wrapper .sidebar .content .sidebar_widget li h2, #contact_form label, #commentform label, #page_content_wrapper .sidebar .content .sidebar_widget li h2.widgettitle, h2.widgettitle, .post_date, .pagination span, .pagination a:hover, #page_caption h2, .post_header h3 a, .post_header.grid h6 a, .imageFlow_gallery_info_author, #gallery_caption h2, #imageFlow .title, .post_header h5 a, .filter li a.active, .filter li a:hover, .shop_filter li a.active, .shop_filter li a:hover, #page_caption h1, h2.ppb_title
{
	color: <?php echo $pp_h1_font_color; ?>;
}
.woocommerce table.shop_table th, .woocommerce-page table.shop_table th, .woocommerce table.cart a.remove, .woocommerce #content table.cart a.remove, .woocommerce-page table.cart a.remove, .woocommerce-page #content table.cart a.remove, .woocommerce-page #payment ul.payment_methods li label
{
	color: <?php echo $pp_h1_font_color; ?> !important;
}
.woocommerce ul.products li.product a.add_to_cart_button, .woocommerce-page ul.products li.product a.add_to_cart_button, .woocommerce ul.products li.product a.add_to_cart_button.loading, .woocommerce-page ul.products li.product a.add_to_cart_button.loading, .woocommerce ul.products li.product a.add_to_cart_button:hover, .woocommerce-page ul.products li.product a.add_to_cart_button:hover, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit, .woocommerce #content input.button, .woocommerce-page a.button, .woocommerce-page button.button, .woocommerce-page input.button, .woocommerce-page #respond input#submit, .woocommerce-page #content input.button, .product-name a { color:<?php echo $pp_h1_font_color; ?> !important; }
<?php
	}
?>

<?php
	$pp_link_color = $custom_skin_arr['pp_link_color'];
	
	if(!empty($pp_link_color))
	{
?>
a, .product-subtotal span, .cart-subtotal span, .total span { color:<?php echo $pp_link_color; ?>; }
.service_icon { border-color:<?php echo $pp_link_color; ?>; }
.woocommerce div.product form.cart .button.single_add_to_cart_button { background-color:<?php echo $pp_link_color; ?> !important; }
<?php
	}
	
?>

<?php
	$pp_hover_link_color = $custom_skin_arr['pp_hover_link_color'];
	
	if(!empty($pp_hover_link_color))
	{
?>
#page_content_wrapper a:hover, #page_content_wrapper a:active, .color, a.comment-reply-link { color:<?php echo $pp_hover_link_color; ?>; }
blockquote { border-color:<?php echo $pp_hover_link_color; ?>; }
<?php
	}
?>

<?php
	$pp_sidebar_font_color = $custom_skin_arr['pp_sidebar_font_color'];
	
	if(!empty($pp_sidebar_font_color))
	{
?>
#page_content_wrapper .inner .sidebar_wrapper .sidebar .content { color:<?php echo $pp_sidebar_font_color; ?>; }
<?php
	}
?>

<?php
	$pp_sidebar_link_color = $custom_skin_arr['pp_sidebar_link_color'];
	
	if(!empty($pp_sidebar_link_color))
	{
?>
#page_content_wrapper .inner .sidebar_wrapper a { color:<?php echo $pp_sidebar_link_color; ?>; }
<?php
	}
?>

<?php
	$pp_sidebar_hover_link_color = $custom_skin_arr['pp_sidebar_hover_link_color'];
	
	if(!empty($pp_sidebar_link_color))
	{
?>
#page_content_wrapper .inner .sidebar_wrapper a:hover, #page_content_wrapper .inner .sidebar_wrapper a:active { color:<?php echo $pp_sidebar_hover_link_color; ?>; }
<?php
	}
?>

<?php
	$pp_footer_bg_color = $custom_skin_arr['pp_footer_bg_color'];
	
	if(!empty($pp_footer_bg_color))
	{
?>
#footer, .footer_bar { background:<?php echo $pp_footer_bg_color; ?>; }
<?php
	}
?>

<?php
	$pp_footer_font_color = $custom_skin_arr['pp_footer_font_color'];
	
	if(!empty($pp_sidebar_font_color))
	{
?>
#footer, #copyright { color:<?php echo $pp_footer_font_color; ?>; }
<?php
	}
?>

<?php
	$pp_footer_header_color = $custom_skin_arr['pp_footer_header_color'];
	
	if(!empty($pp_footer_header_color))
	{
?>
#footer .sidebar_widget li h2.widgettitle { color:<?php echo $pp_footer_header_color; ?>; }
<?php
	}
?>

<?php
	$pp_footer_link_color = $custom_skin_arr['pp_footer_link_color'];
	
	if(!empty($pp_footer_link_color))
	{
?>
#footer a { color:<?php echo $pp_footer_link_color; ?>; }
<?php
	}
?>

<?php
	$pp_footer_hover_link_color = $custom_skin_arr['pp_footer_hover_link_color'];
	
	if(!empty($pp_footer_hover_link_color))
	{
?>
#footer a:hover, #footer a:active { color:<?php echo $pp_footer_hover_link_color; ?>; }
<?php
	}
?>

<?php
	$pp_button_bg_color = $custom_skin_arr['pp_button_bg_color'];
	
	if(!empty($pp_button_bg_color))
	{
?>
input[type=submit], input[type=button], a.button, .button, #toTop:hover{ 
	background: <?php echo $pp_button_bg_color; ?>;
}
.widget_tag_cloud div a:hover, .meta-tags a:hover, #footer .widget_tag_cloud div a:hover, #footer .meta-tags a:hover, .tag_cloud a:hover, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit, .woocommerce #content input.button, .woocommerce-page a.button, .woocommerce-page button.button, .woocommerce-page input.button, .woocommerce-page #respond input#submit, .woocommerce-page #content input.button, .woocommerce .widget_shopping_cart .widget_shopping_cart_content a.button, .woocommerce table.cart td.actions .button.alt.checkout-button, .woocommerce #payment #place_order, .woocommerce-page #payment #place_order, .woocommerce table.cart td.actions .button.alt {
	background: <?php echo $pp_button_bg_color; ?> !important;
}
<?php
	}
	
?>

<?php
	$pp_button_font_color = $custom_skin_arr['pp_button_font_color'];
	
	if(!empty($pp_button_font_color))
	{
?>
input[type=submit], input[type=button], a.button, .button { 
	color: <?php echo $pp_button_font_color; ?>;
}
.widget_tag_cloud div a:hover, .meta-tags a:hover, #footer .widget_tag_cloud div a:hover, #footer .meta-tags a:hover, .tag_cloud a:hover, .woocommerce-page ul.products li.product a.add_to_cart_button.loading, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit, .woocommerce #content input.button, .woocommerce-page a.button, .woocommerce-page button.button, .woocommerce-page input.button, .woocommerce-page #respond input#submit, .woocommerce-page #content input.button, .woocommerce .widget_shopping_cart .widget_shopping_cart_content a.button, .woocommerce table.cart td.actions .button.alt.checkout-button, .woocommerce #payment #place_order, .woocommerce-page #payment #place_order, .woocommerce table.cart td.actions .button.alt {
	color: <?php echo $pp_button_font_color; ?> !important;
}
<?php
	}
	
?>

<?php
	$pp_button_border_color = $custom_skin_arr['pp_button_border_color'];
	
	if(!empty($pp_button_border_color))
	{
?>
input[type=submit], input[type=button], a.button, .button { 
	border: 1px solid <?php echo $pp_button_border_color; ?>;
}
input[type=submit]:hover, input[type=button]:hover, a.button:hover, .button:hover {
	color: <?php echo $pp_button_border_color; ?>;
}
.widget_tag_cloud div a:hover, .meta-tags a:hover, #footer .widget_tag_cloud div a:hover, #footer .meta-tags a:hover, .tag_cloud a:hover {
	border: 1px solid <?php echo $pp_button_border_color; ?> !important;
}
<?php
	}
	
?>

<?php

$pp_h1_font_color = $custom_skin_arr['pp_h1_font_color'];
if(!empty($pp_h1_font_color))
{
?>
.post_header h2, h1, h2, h3, h4, h5, .portfolio_header h6, pre, code, tt, blockquote
{
	color: <?php echo $pp_h1_font_color; ?>;
}
.shipping_calculator h2 a
{
	color: <?php echo $pp_h1_font_color; ?> !important;
}
<?php
}

$pp_menu_font_color = $custom_skin_arr['pp_menu_font_color'];

if(!empty($pp_menu_font_color))
{
?>
#menu_wrapper .nav ul li a, #menu_wrapper div .nav li a { color: <?php echo $pp_menu_font_color; ?>; }
<?php
}

$pp_submenu_font_color = $custom_skin_arr['pp_submenu_font_color'];

if(!empty($pp_submenu_font_color))
{
?>
#menu_wrapper div .nav li ul li a, #menu_wrapper div .nav li.current-menu-item ul li a, #menu_wrapper div .nav li ul li.current-menu-item a, #menu_wrapper .nav ul li ul li a, #menu_wrapper .nav ul li.current-menu-item ul li a, #menu_wrapper .nav ul li ul li.current-menu-item a, #menu_wrapper div .nav li.current-menu-parent ul li a, #menu_wrapper div .nav li ul li.current-menu-parent a { color: <?php echo $pp_submenu_font_color; ?>;  }
<?php
}

$pp_menu_hover_font_color = $custom_skin_arr['pp_menu_hover_font_color'];

if(!empty($pp_menu_hover_font_color))
{
?>
#menu_wrapper .nav ul li a.hover, #menu_wrapper .nav ul li a:hover, #menu_wrapper div .nav li a.hover, #menu_wrapper div .nav li a:hover, #menu_wrapper .nav ul li ul li a:hover, #menu_wrapper .nav ul li ul li a:hover, #menu_wrapper div .nav li ul li a:hover, #menu_wrapper div .nav li ul li a:hover, #menu_wrapper div .nav li.current-menu-item ul li a:hover, #menu_wrapper div .nav li.current-menu-parent ul li a:hover { color: <?php echo $pp_menu_hover_font_color; ?>;  }
#menu_wrapper .nav ul li a.hover, #menu_wrapper .nav ul li a:hover, #menu_wrapper div .nav li a.hover, #menu_wrapper div .nav li a:hover, #menu_wrapper div .nav li.current-menu-item > a, #menu_wrapper div .nav li.current-menu-parent > a, #menu_wrapper div .nav li.current-menu-ancestor > a, #menu_wrapper div .nav li ul li.current-menu-ancestor a
{
	border-color: <?php echo $pp_menu_hover_font_color; ?>;
}
#menu_wrapper .nav ul li ul, #menu_wrapper div .nav li ul
{
	border-top: 2px solid <?php echo $pp_menu_hover_font_color; ?> !important;
}
<?php
}

$pp_menu_active_font_color = $custom_skin_arr['pp_menu_active_font_color'];

if(!empty($pp_menu_active_font_color))
{
?>
#menu_wrapper div .nav li.current-menu-item > a, #menu_wrapper div .nav li.current-menu-parent > a, #menu_wrapper div .nav li.current-menu-ancestor > a, #autocomplete a, #autocomplete a:hover, #autocomplete a:active { color: <?php echo $pp_menu_active_font_color; ?>;  }
#menu_wrapper div .nav li.current-menu-item > a, #menu_wrapper div .nav li.current-menu-parent > a, #menu_wrapper div .nav li.current-menu-ancestor > a { border-color: <?php echo $pp_menu_active_font_color; ?>; }
<?php
}

$pp_font_color = $custom_skin_arr['pp_font_color'];

if(!empty($pp_font_color))
{
?>
body { color: <?php echo $pp_font_color; ?>; }
.woocommerce #payment div.payment_box, .woocommerce-page #payment div.payment_box { color: <?php echo $pp_font_color; ?> !important; }
<?php
}
?>

<?php
$pp_content_bg_color = $custom_skin_arr['pp_content_bg_color'];

if(!empty($pp_content_bg_color))
{
?>
body, #wrapper .ppb_blog_desc, .portfolio_desc, #post_more_wrapper { background-color: <?php echo $pp_content_bg_color; ?>; }
#supersized li { background-color: <?php echo $pp_content_bg_color; ?> !important; }
<?php
}

//Calculate background color for fullscreen content
$ori_pp_content_bg_color = $pp_content_bg_color;
$pp_content_bg_color = HexToRGB($pp_content_bg_color);
?>
#imageFlow_gallery_info, #slidecaption
{
	background: <?php echo $ori_pp_content_bg_color; ?>;
	background: rgb(<?php echo $pp_content_bg_color['r']; ?>, <?php echo $pp_content_bg_color['g']; ?>, <?php echo $pp_content_bg_color['b']; ?>, 0.9);
	background: rgba(<?php echo $pp_content_bg_color['r']; ?>, <?php echo $pp_content_bg_color['g']; ?>, <?php echo $pp_content_bg_color['b']; ?>, 0.9);
}

<?php
	$pp_menu_bg_color = $custom_skin_arr['pp_menu_bg_color'];

	if(!empty($pp_menu_bg_color))
	{
	
?>
.top_bar
{
	background: <?php echo $pp_menu_bg_color; ?>;
}
<?php
	}
?>

<?php
	$pp_menu_bg_color = $custom_skin_arr['pp_menu_bg_color'];
	$ori_pp_menu_bg_color = $pp_menu_bg_color;
	
	if(!empty($pp_menu_bg_color))
	{
		$pp_menu_opacity_color = $custom_skin_arr['pp_menu_opacity_color'];
		$pp_menu_opacity_color = $pp_menu_opacity_color/100;
		$pp_menu_bg_color = HexToRGB($pp_menu_bg_color);
	
?>
.top_bar
{
	background: <?php echo $ori_pp_menu_bg_color; ?>;
	background: rgb(<?php echo $pp_menu_bg_color['r']; ?>, <?php echo $pp_menu_bg_color['g']; ?>, <?php echo $pp_menu_bg_color['b']; ?>, <?php echo $pp_menu_opacity_color; ?>);
	background: rgba(<?php echo $pp_menu_bg_color['r']; ?>, <?php echo $pp_menu_bg_color['g']; ?>, <?php echo $pp_menu_bg_color['b']; ?>, <?php echo $pp_menu_opacity_color; ?>);
}
<?php
	}
?>

<?php
	$pp_submenu_bg_color = $custom_skin_arr['pp_submenu_bg_color'];
	$ori_pp_submenu_bg_color = $pp_submenu_bg_color;

	if(!empty($pp_submenu_bg_color))
	{
		$pp_menu_opacity_color = $custom_skin_arr['pp_menu_opacity_color'];
		$pp_menu_opacity_color = $pp_menu_opacity_color/100;
		$pp_submenu_bg_color = HexToRGB($pp_submenu_bg_color);
?>
#menu_wrapper .nav ul li ul, #menu_wrapper div .nav li ul, #autocomplete ul
{
	background: <?php echo $ori_pp_submenu_bg_color; ?>;
	background: rgb(<?php echo $pp_submenu_bg_color['r']; ?>, <?php echo $pp_submenu_bg_color['g']; ?>, <?php echo $pp_submenu_bg_color['b']; ?>, <?php echo $pp_menu_opacity_color; ?>);
	background: rgba(<?php echo $pp_submenu_bg_color['r']; ?>, <?php echo $pp_submenu_bg_color['g']; ?>, <?php echo $pp_submenu_bg_color['b']; ?>, <?php echo $pp_menu_opacity_color; ?>);
}
<?php
	}
?>

<?php
	$pp_menu_border_color = $custom_skin_arr['pp_menu_border_color'];

	if(!empty($pp_menu_border_color))
	{
	
?>
.top_bar, #menu_wrapper .nav ul li ul, #menu_wrapper div .nav li ul, #imageFlow_gallery_info, #autocomplete ul, #autocomplete li.view_all
{
	border-color: <?php echo $pp_menu_border_color; ?>;
	
}
<?php
	}
?>

<?php
	$pp_submenu_hover_font_color = $custom_skin_arr['pp_submenu_hover_font_color'];

	if(!empty($pp_submenu_hover_font_color))
	{
	
?>
#menu_wrapper .nav ul li ul li a:hover, #menu_wrapper .nav ul li ul li a:hover, #menu_wrapper div .nav li ul li a:hover, #menu_wrapper div .nav li ul li a:hover, #menu_wrapper div .nav li.current-menu-item ul li a:hover, #menu_wrapper div .nav li.current-menu-parent ul li a:hover
{
	color: <?php echo $pp_submenu_hover_font_color; ?>;
}
<?php
	}
?>

<?php
	$pp_portfolio_hover_bg_color = $custom_skin_arr['pp_portfolio_hover_bg_color'];
	$pp_portfolio_hover_bg_color_rgb = HexToRGB($pp_portfolio_hover_bg_color);

	if(!empty($pp_portfolio_hover_bg_color))
	{
	
?>
.one_half.gallery2 .mask .button.circle, .one_third.gallery3 .mask .button.circle, .one_fourth.gallery4 .mask .button.circle, .wall_thumbnail .mask .button.circle, .mansory_thumbnail .mask .button.circle
{
	background: <?php echo $pp_portfolio_hover_bg_color; ?> !important;
	border-color: <?php echo $pp_portfolio_hover_bg_color; ?>;
}
<?php
	}
?>

<?php
	$pp_portfolio_hover_font_color = $custom_skin_arr['pp_portfolio_hover_font_color'];

	if(!empty($pp_portfolio_hover_font_color))
	{
	
?>
.one_half.gallery2 h4, .one_half.gallery2 span.caption, .one_third.gallery3 h5, .one_third.gallery3 span.caption, .one_fourth.gallery4 h6, .one_fourth.gallery4 span.caption, .wall_thumbnail h6, .wall_thumbnail span.caption, .mansory_thumbnail h6, .mansory_thumbnail span.caption
{
	color: <?php echo $pp_portfolio_hover_font_color; ?>;
}
<?php
	}
?>

<?php
	$pp_tagline_font_color = $custom_skin_arr['pp_tagline_font_color'];

	if(!empty($pp_tagline_font_color))
	{
	
?>
.page_caption_desc, #gallery_caption .gallery_desc, #imageFlow .legend, .gallery_a_title span.caption
{
	color: <?php echo $pp_tagline_font_color; ?>;
}
<?php
	}
?>

<?php
	$pp_hr_color = $custom_skin_arr['pp_hr_color'];

	if(!empty($pp_hr_color))
	{
	
?>
#social_share_wrapper, hr, #social_share_wrapper, .post.type-post, #page_content_wrapper .sidebar .content .sidebar_widget li h2.widgettitle, h2.widgettitle, h5.widgettitle, .comment .right, .widget_tag_cloud div a, .meta-tags a, .tag_cloud a, #footer, #post_more_wrapper, .woocommerce ul.products li.product, .woocommerce-page ul.products li.product, .woocommerce ul.products li.product .price, .woocommerce-page ul.products li.product .price
{
	border-color: <?php echo $pp_hr_color; ?>;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li, .woocommerce #content div.product .woocommerce-tabs ul.tabs li, .woocommerce-page div.product .woocommerce-tabs ul.tabs li, .woocommerce-page #content div.product .woocommerce-tabs ul.tabs li, .woocommerce div.product .woocommerce-tabs .panel, .woocommerce-page div.product .woocommerce-tabs .panel, .woocommerce #content div.product .woocommerce-tabs .panel, .woocommerce-page #content div.product .woocommerce-tabs .panel, .woocommerce table.shop_table, .woocommerce-page table.shop_table, table tr td, .woocommerce .cart-collaterals .cart_totals, .woocommerce-page .cart-collaterals .cart_totals, .woocommerce .cart-collaterals .shipping_calculator, .woocommerce-page .cart-collaterals .shipping_calculator, .woocommerce .cart-collaterals .cart_totals tr td, .woocommerce .cart-collaterals .cart_totals tr th, .woocommerce-page .cart-collaterals .cart_totals tr td, .woocommerce-page .cart-collaterals .cart_totals tr th, table tr th, .woocommerce #payment, .woocommerce-page #payment, .woocommerce #payment ul.payment_methods li, .woocommerce-page #payment ul.payment_methods li, .woocommerce #payment div.form-row, .woocommerce-page #payment div.form-row
{
	border-color: <?php echo $pp_hr_color; ?> !important;
}
<?php
	}
?>

<?php
	$pp_blog_date_bg = $custom_skin_arr['pp_blog_date_bg'];

	if(!empty($pp_blog_date_bg))
	{
	
?>
.post_date
{
	background: <?php echo $pp_blog_date_bg; ?>;
}
<?php
	}
?>

<?php
	$pp_blog_date_color = $custom_skin_arr['pp_blog_date_color'];

	if(!empty($pp_blog_date_color))
	{
	
?>
.post_date .date, .post_date .month
{
	color: <?php echo $pp_blog_date_color; ?>;
}
<?php
	}
?>

<?php
	$pp_blog_date_border = $custom_skin_arr['pp_blog_date_border'];

	if(!empty($pp_blog_date_border))
	{
	
?>
.post_date
{
	border-color: <?php echo $pp_blog_date_border; ?>;
}
<?php
	}
?>

<?php
	$pp_input_bg_color = $custom_skin_arr['pp_input_bg_color'];

	if(!empty($pp_input_bg_color))
	{
	
?>
input[type=text], input[type=password], .woocommerce table.cart td.actions .coupon .input-text, .woocommerce-page table.cart td.actions .coupon .input-text, .woocommerce #content table.cart td.actions .coupon .input-text, .woocommerce-page #content table.cart td.actions .coupon .input-text, textarea
{
	background: <?php echo $pp_input_bg_color; ?>;
}
<?php
	}
?>

<?php
	$pp_input_font_color = $custom_skin_arr['pp_input_font_color'];

	if(!empty($pp_input_font_color))
	{
	
?>
input[type=text], input[type=password], .woocommerce table.cart td.actions .coupon .input-text, .woocommerce-page table.cart td.actions .coupon .input-text, .woocommerce #content table.cart td.actions .coupon .input-text, .woocommerce-page #content table.cart td.actions .coupon .input-text, textarea
{
	color: <?php echo $pp_input_font_color; ?>;
}
<?php
	}
?>

<?php
	$pp_input_border_color = $custom_skin_arr['pp_input_border_color'];

	if(!empty($pp_input_border_color))
	{
	
?>
input[type=text], input[type=password], .woocommerce table.cart td.actions .coupon .input-text, .woocommerce-page table.cart td.actions .coupon .input-text, .woocommerce #content table.cart td.actions .coupon .input-text, .woocommerce-page #content table.cart td.actions .coupon .input-text, textarea
{
	border-color: <?php echo $pp_input_border_color; ?>;
}
.woocommerce table.cart td.actions .coupon .input-text#coupon_code
{
	border-color: <?php echo $pp_input_border_color; ?> !important;
}
<?php
	}
?>

<?php
	$pp_input_focus_border_color = $custom_skin_arr['pp_input_focus_border_color'];

	if(!empty($pp_input_border_color))
	{
	
?>
input[type=text]:focus, input[type=password]:focus, .woocommerce table.cart td.actions .coupon .input-text:focus, .woocommerce-page table.cart td.actions .coupon .input-text:focus, .woocommerce #content table.cart td.actions .coupon .input-text:focus, .woocommerce-page #content table.cart td.actions .coupon .input-text:focus, textarea:focus
{
	border-color: <?php echo $pp_input_focus_border_color; ?>;
}
<?php
	}
?>

<?php
if(!empty($pp_advance_combine_css))
{
	ob_end_flush();
	ob_end_flush();
}
?>